	include "OS.h"

	xdef _ti89
	xdef _ti92plus
	xdef _nostub

_main:
	movem.l d0-d7/a0-a6,-(a7)

	tst.w $30		;regarde si un kernel est install
	bne.s uninstall

	pea already(pc)
	bra.s exit

uninstall:
	move.w $48,-(a7)
	ROM_CALL HeapFree		;libre la mmoire
	addq.l #2,a7

	move.l $C8,d0
	and.l #$600000,d0
	add.l #$12088,d0
	move.l d0,a0
	lea $40000,a1

	moveq #63,d0
oldint:
	move.l (a0)+,(a1)+
	dbra d0,oldint

	ROM_CALL2 EV_hook
	clr.l (a4)

	pea success(pc)

exit:
	ROM_CALL ST_showHelp
	addq.l #4,a7

	movem.l (a7)+,d0-d7/a0-a6
	RTS


success dc.b "Uninstallation succesful",0
already dc.b "No kernel installed",0

	end